{% extends "pretix_via/control_event_via_terms_base.html" %}
{% load i18n %}
{% load bootstrap3 %}
{% load formset_tags %}
{% block form %}
    <legend>Additional terms and conditions</legend>
    <p>Custom terms and conditions can be added to the event. These terms will be added at the end of the terms and conditions.</p>
    <div class="formset" data-formset data-formset-prefix="{{ form.prefix }}">
        {{ form.management_form }}
        {% bootstrap_formset_errors form %}
        <div data-formset-body>
            {% for iform in form %}
                <div data-formset-form>
                    <div class="sr-only">
                        {{ iform.id }}
                        {% bootstrap_field iform.DELETE form_group_class="" layout="inline" %}
                        {% bootstrap_field iform.ORDER form_group_class="" layout="inline" %}
                    </div>
                    <div class="row question-option-row">
                        <div class="col-xs-10">
                            {% bootstrap_form_errors iform %}
                            {% bootstrap_field iform.term layout='inline' form_group_class="" %}
                        </div>
                        <div class="col-xs-2 text-right flip">
                            <span>&nbsp;</span><br>
                            <button type="button" class="btn btn-default" data-formset-move-up-button>
                                <i class="fa fa-arrow-up"></i></button>
                            <button type="button" class="btn btn-default" data-formset-move-down-button>
                                <i class="fa fa-arrow-down"></i></button>
                            <button type="button" class="btn btn-danger" data-formset-delete-button>
                                <i class="fa fa-trash"></i></button>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
        <script type="form-template" data-formset-empty-form>
            {% escapescript %}
                <div data-formset-form>
                    <div class="sr-only">
                        {{ formset.empty_form.id }}
                        {% bootstrap_field form.empty_form.DELETE form_group_class="" layout="inline" %}
                        {% bootstrap_field form.empty_form.ORDER form_group_class="" layout="inline" %}
                    </div>
                    <div class="row question-option-row">
                        <div class="col-md-10">
                            {% bootstrap_field form.empty_form.term layout='inline' form_group_class="" %}
                        </div>
                        <div class="col-xs-2 text-right flip">
                            <span>&nbsp;</span><br>
                            <button type="button" class="btn btn-default" data-formset-move-up-button>
                                <i class="fa fa-arrow-up"></i></button>
                            <button type="button" class="btn btn-default" data-formset-move-down-button>
                                <i class="fa fa-arrow-down"></i></button>
                            <button type="button" class="btn btn-danger" data-formset-delete-button>
                                <i class="fa fa-trash"></i></button>
                        </div>
                    </div>
                </div>
            {% endescapescript %}
        </script>
        <div class="row question-option-row helper-width-100">
            <div class="col-md-6">
                <button type="button" class="btn btn-default" data-formset-add>
                    <i class="fa fa-plus"></i> {% trans "Add new term" %}</button>
            </div>
        </div>
    {% endblock %}
